<launch>
  <arg name="path" default="/media/isr/Data/logs/realsense-d435i_velodyne-vlp16/20200316"/>
  <arg name="output" default="two_vlp16.bag"/>

  <!-- rosbag record -->
  <node name="rosbag_record" pkg="rosbag" type="record" args="-o $(arg path)/$(arg output) -a"/>

  <!-- transform publisher -->
  <node name="vlp16_front_broadcaster" pkg="tf" type="static_transform_publisher" args="0 0 0.905 0 0 0 base_link velodyne_front 100" />
  <node name="vlp16_tilted_broadcaster" pkg="tf" type="static_transform_publisher" args="0.095 0 0.81 0 0.262 0 base_link velodyne_tilted 100" />

  <!-- velodyne vlp-16 -->
  <group ns="velodyne_front">
    <include file="$(find velodyne_pointcloud)/launch/VLP16_points.launch">
      <arg name="device_ip" default="192.168.1.201" />
      <arg name="frame_id" default="velodyne_front" />
      <arg name="port" default="2368" />
    </include>
  </group>
  <group ns="velodyne_tilted">
    <include file="$(find velodyne_pointcloud)/launch/VLP16_points.launch">
      <arg name="device_ip" default="192.168.1.202" />
      <arg name="frame_id" default="velodyne_tilted" />
      <arg name="port" default="2369" />
    </include>
  </group>
  

  <node name="rviz" pkg="rviz" type="rviz" args="-d $(find realsense-d435i_velodyne-vlp16)/rviz/two_vlp16.rviz" />
</launch>
